Create Control Change Create Control Change Send a new value to be written to a <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-assets/' target='_blank'>Kelvin Asset</a> / <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-metrics' target='_blank'>Kelvin Metric</a> pair. The <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-control-change/' target='_blank'>Kelvin Control Change</a> Manager will automatically find which <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-nodes/' target='_blank'>Kelvin Node</a> hosts the <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-bridges/' target='_blank'>Kelvin Bridge</a> with the <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-assets/' target='_blank'>Kelvin Asset</a> / <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-metrics' target='_blank'>Kelvin Metric</a> pair. Permission Required: `kelvin.permission.control_change.create`
Control change create schema
Request optional parameters
Download Control Change Download Control Change This is required only for internal <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-control-change/' target='_blank'>Kelvin Control Change</a> management. It will download all control changes on the <a href='https://docs.kelvininc.com/latest/kelvin-overview/overview/#kelvin-platform' target='_blank'>Kelvin Platform</a> tagged as `pending` to the <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-nodes/' target='_blank'>Kelvin Node</a>. Pagination Sortable Columns: `control_change.id`, `control_change.asset_name`, `control_change.metric_name`, `control_change.last_state`, `control_change.created`, `control_change.updated`, `control_change.timestamp` Permission Required: `kelvin.permission.control_change.read`
An alphanumeric string to move to the previous page of <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-control-change/' target='_blank'>Kelvin Control Change</a> requests in the list.</p> The alphanumeric string which are the bookmarks for the beginning and end of the current list is given in the previous JSON response value under the key pagination -> previous_page and pagination -> next_page respectively.</p> The pagination -> previous_page alphanumeric string should be used here to show a list of the previous page of results.
Name of an existing <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-nodes/' target='blank'>Kelvin Node</a> to check for <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-control-change/' target='_blank'>Kelvin Control Change</a> objects tagged as `pending` on the <a href='https://docs.kelvininc.com/latest/kelvin-overview/overview/#kelvin-platform' target='_blank'>Kelvin Platform</a> and initiate download to this <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-nodes/' target='_blank'>Kelvin Node</a>.</p> This must contain only lowercase alphanumeric characters. The `.`, `` and `-` characters are also allowed to separate words instead of a space BUT can not be at the beginning or end of the name.
Number of <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-control-change/' target='_blank'>Kelvin Control Change</a> request objects to be returned. Page size can be between 1 and 1000 objects.</p> The default is 20 Kelvin Asset Statistic objects.
Sorting order for the results according to the `sort_by` parameter.</p> There are two options; `true` (ascending order) and `false` (descending order).</p> The default is `true` (ascending).
Sort the results by one of the <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-assets/' target='_blank'>Kelvin Asset</a> parameters. Only one parameter can be selected.</p> There are sevens parameter options; `control_change.id`, `control_change.asset_name`, `control_change.metric_name`, `control_change.last_state`, `control_change.created`, `control_change.updated`, `control_change.timestamp`.</p> The default is `control_change.id`
An alphanumeric string to move to the next page of <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-control-change/' target='_blank'>Kelvin Control Change</a> requests in the list.</p> The alphanumeric string which are the bookmarks for the beginning and end of the current list is given in the previous JSON response value under the key pagination -> previous_page and pagination -> next_page respectively.</p> The pagination -> next_page alphanumeric string should be used here to show a list of the next page of results.
Request optional parameters
Get Control Change Get Control Change Returns the properties of a single <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-control-change/' target='_blank'>Kelvin Control Change</a> request via its unique ID. Returned object will not only give the `status` and `payload` of the last <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-control-change/' target='_blank'>Kelvin Control Change</a> but also the `status_log` containing the information of when the <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-control-change/' target='_blank'>Kelvin Control Change</a> was created, sent to bridge and confirmed with a read. Permission Required: `kelvin.permission.control_change.read`
Unique identifier id for the <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-control-change/' target='_blank'>Kelvin Control Change</a>.</p> This must contain only lowercase alphanumeric characters and the `-` character only. For example `764168a8-0e1e-33aa-adc7-14dfbb78dfad`
Request optional parameters
Get Control Change Clustering Get Control Change Clustering Permission Required: `kelvin.permission.control_change.read`
Control Change Clustering schema
Request optional parameters
Get Last Control Change Get Last Control Change Returns a list of the last <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-control-change/' target='_blank'>Kelvin Control Change</a> for each <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-assets/' target='_blank'>Kelvin Asset</a> / <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-metrics' target='_blank'>Kelvin Metric</a> pairs for each of the body parameters in the array `asset_names`. The list will include <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-control-change/' target='_blank'>Kelvin Control Changes</a> that succeeded, failed or are pending. Each object will not only give the `status` and `payload` of the last <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-control-change/' target='_blank'>Kelvin Control Change</a> but also the `status_log` containing the information of when the <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-control-change/' target='_blank'>Kelvin Control Change</a> was created, sent to bridge and confirmed with a read. Pagination Sortable Columns: `control_change.id`, `control_change.asset_name`, `control_change.metric_name`, `control_change.last_state`, `control_change.created`, `control_change.updated`, `control_change.timestamp` Permission Required: `kelvin.permission.control_change.read`
Last control change schema
An alphanumeric string to move to the previous page of the <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-control-change/' target='_blank'>Kelvin Control Change</a> list.</p> The alphanumeric string which are the bookmarks for the beginning and end of the current list is given in the previous JSON response value under the key pagination -> previous_page and pagination -> next_page respectively.</p> The pagination -> previous_page alphanumeric string should be used here to show a list of the previous page of results.
Number of <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-control-change/' target='_blank'>Kelvin Control Change</a> objects to be returned. Page size can be between 1 and 1000 objects.</p> The default is 20 Kelvin Asset Statistic objects.
Sorting order for the results according to the `sort_by` parameter.</p> There are two options; `true` (ascending order) and `false` (descending order).</p> The default is `true` (ascending).
Sort the results by one of the <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-control-change/' target='_blank'>Kelvin Control Change</a> parameters. Only one parameter can be selected.</p> There are seven parameter options; `control_change.id`, `control_change.asset_name`, `control_change.metric_name`, `control_change.last_state`, `control_change.created`, `control_change.updated` and `control_change.timestamp`.</p> The default is `control_change.id`
An alphanumeric string to move to the next page of the <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-control-change/' target='_blank'>Kelvin Control Change</a> list.</p> The alphanumeric string which are the bookmarks for the beginning and end of the current list is given in the previous JSON response value under the key pagination -> previous_page and pagination -> next_page respectively.</p> The pagination -> next_page alphanumeric string should be used here to show a list of the next page of results.
Request optional parameters
Get Range Control Change Get Range Control Change. Returns a list of the history of all <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-control-change/' target='_blank'>Kelvin Control Change</a> status changes that have happened within a date range for each <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-assets/' target='_blank'>Kelvin Asset</a> / <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-metrics' target='_blank'>Kelvin Metric</a> pairs for each of the body parameters in the array `asset_names`. Pagination Sortable Columns: `control_change.id`, `control_change.asset_name`, `control_change.metric_name`, `control_change.last_state`, `control_change.created`, `control_change.updated`, `control_change.timestamp` Permission Required: `kelvin.permission.control_change.read`
Control change range schema
An alphanumeric string to move to the previous page of the <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-control-change/' target='_blank'>Kelvin Control Change</a> list.</p> The alphanumeric string which are the bookmarks for the beginning and end of the current list is given in the previous JSON response value under the key pagination -> previous_page and pagination -> next_page respectively.</p> The pagination -> previous_page alphanumeric string should be used here to show a list of the previous page of results.
Number of <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-control-change/' target='_blank'>Kelvin Control Change</a> objects to be returned. Page size can be between 1 and 1000 objects.</p> The default is 20 Kelvin Asset Statistic objects.
Sorting order for the results according to the `sort_by` parameter.</p> There are two options; `true` (ascending order) and `false` (descending order).</p> The default is `true` (ascending).
Sort the results by one of the <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-control-change/' target='_blank'>Kelvin Control Change</a> parameters. Only one parameter can be selected.</p> There are seven parameter options; `control_change.id`, `control_change.asset_name`, `control_change.metric_name`, `control_change.last_state`, `control_change.created`, `control_change.updated` and `control_change.timestamp`.</p> The default is `control_change.id`.
An alphanumeric string to move to the next page of the <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-control-change/' target='_blank'>Kelvin Control Change</a> list.</p> The alphanumeric string which are the bookmarks for the beginning and end of the current list is given in the previous JSON response value under the key pagination -> previous_page and pagination -> next_page respectively.</p> The pagination -> next_page alphanumeric string should be used here to show a list of the next page of results.
Request optional parameters
List Control Change List Control Change lists the Control Changes for each asset metric. Returns a list of the history of all <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-control-change/' target='_blank'>Kelvin Control Change</a> requests for each <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-assets/' target='_blank'>Kelvin Asset</a> / <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-metrics' target='_blank'>Kelvin Metric</a> pairs for each of the body parameters in the array `asset_names`. Pagination Sortable Columns: `control_change.id`, `control_change.asset_name`, `control_change.metric_name`, `control_change.last_state`, `control_change.created`, `control_change.updated`, `control_change.timestamp` Permission Required: `kelvin.permission.control_change.read`
Control change list schema
An alphanumeric string to move to the previous page of the <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-control-change/' target='_blank'>Kelvin Control Change</a> list.</p> The alphanumeric string which are the bookmarks for the beginning and end of the current list is given in the previous JSON response value under the key pagination -> previous_page and pagination -> next_page respectively.</p> The pagination -> previous_page alphanumeric string should be used here to show a list of the previous page of results.
Number of <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-control-change/' target='_blank'>Kelvin Control Change</a> objects to be returned. Page size can be between 1 and 1000 objects.</p> The default is 20 Kelvin Asset Statistic objects.
Sorting order for the results according to the `sort_by` parameter.</p> There are two options; `true` (ascending order) and `false` (descending order).</p> The default is `true` (ascending).
Sort the results by one of the <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-control-change/' target='_blank'>Kelvin Control Change</a> parameters. Only one parameter can be selected.</p> There are seven parameter options; `control_change.id`, `control_change.asset_name`, `control_change.metric_name`, `control_change.last_state`, `control_change.created`, `control_change.updated` and `control_change.timestamp`.</p> The default is `control_change.id`.
An alphanumeric string to move to the next page of the <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-control-change/' target='_blank'>Kelvin Control Change</a> list.</p> The alphanumeric string which are the bookmarks for the beginning and end of the current list is given in the previous JSON response value under the key pagination -> previous_page and pagination -> next_page respectively.</p> The pagination -> next_page alphanumeric string should be used here to show a list of the next page of results.
Request optional parameters
Upload Control Change Upload Control Change This is required only for internal <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-control-change/' target='_blank'>Kelvin Control Change</a> management. It will update the <a href='https://docs.kelvininc.com/latest/kelvin-overview/overview/#kelvin-platform' target='_blank'>Kelvin Platform</a> with the current status of all <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-control-change/' target='_blank'>Kelvin Control Change</a> requests on a <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-nodes/' target='_blank'>Kelvin Node</a>. Permission Required: `kelvin.permission.control_change.create`
Control change upload schema
Name of an existing <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-nodes/' target='blank'>Kelvin Node</a> to check <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-control-change/' target='_blank'>Kelvin Control Change</a> statuses and initiate upload (synchronize) to the <a href='https://docs.kelvininc.com/latest/kelvin-overview/overview/#kelvin-platform' target='_blank'>Kelvin Platform</a>.</p> This must contain only lowercase alphanumeric characters. The `.`, `` and `-` characters are also allowed to separate words instead of a space BUT can not be at the beginning or end of the name.
Request optional parameters